NX Open C++ Reference Guide
Public Types | Public Member Functions | List of all members
NXOpen::Die::SpringbackCompensationBuilder Class Reference

Used to create or edit a NXOpen::Die::SpringbackCompensation feature. More...

Inheritance diagram for NXOpen::Die::SpringbackCompensationBuilder:
NXOpen::Features::FeatureBuilder NXOpen::Builder NXOpen::TaggedObject NXOpen::GeometricUtilities::IComponentBuilder

Public Types

enum  DefinedByType { DefinedByTypeOneStepFeature, DefinedByTypeFacetedBodies, DefinedByTypePoints }
 The type of input data that defines the compensation. More...
 
enum  DegreeType { DegreeTypeTwo, DegreeTypeThree, DegreeTypeFive, DegreeTypeSeven }
 The polynomial degree type. More...
 
enum  ResultSheetType { ResultSheetTypeCompensated, ResultSheetTypeSprung }
 The type of sheet body you would like created as output. More...
 

Public Member Functions

double AngleTolerance ()
 Returns the angle tolerance. More...
 
bool CalculateMaxDeviation ()
 Returns the indication if the feature should calculate the maximum deviation of the result. More...
 
NXOpen::DirectionConvexityDirection ()
 Returns the convexity direction. More...
 
bool ConvexityEnabled ()
 Returns the toggle that determines whether to constrain convexity
Created in NX7.5.0. More...
 
bool CreateFacets ()
 Returns the value determines if a faceted output body is also created. More...
 
NXOpen::Die::SpringbackCompensationBuilder::DefinedByType DefinedBy ()
 Returns the type of data that will be used to define the feature. More...
 
double DeformationFactor ()
 Returns the deformation factor determines how much of the calculated deformation is applied to the result body. More...
 
NXOpen::Die::SpringbackCompensationBuilder::DegreeType Degree ()
 Returns the polynomial degree (one unit less than the order). More...
 
double DistanceTolerance ()
 Returns the distance tolerance. More...
 
int Divisions ()
 Returns the number of equi-distant points to divide the cube of the sheet body (N x N x N). More...
 
NXOpen::DirectionDrawVector ()
 Returns the vector indicating the draw direction. More...
 
void GetProductPoints (std::vector< NXOpen::Point3d > &productPoints)
 Get the sample points on the product surface. More...
 
void GetSprungPoints (std::vector< NXOpen::Point3d > &sprungPoints)
 Get the sample points on the sprung surface. More...
 
NXOpen::SectionInnerCurve ()
 Returns the inner boundary curve of the transition area. More...
 
bool IsGlobalDeformation ()
 Returns the indication if the feature is a generic Global Deformation. More...
 
NXOpen::Features::SelectFeatureOneStep ()
 Returns the one-step feature. More...
 
NXOpen::SectionOuterCurve ()
 Returns the outer boundary curve of transition area. More...
 
NXOpen::Facet::SelectFacetedBodyProductFacets ()
 Returns the product facets. More...
 
NXString ProductPointsFile ()
 Returns the product points file name. More...
 
NXOpen::SelectBodyProductSheet ()
 Returns the sheet body representing the product shape. More...
 
NXOpen::Die::SpringbackCompensationBuilder::ResultSheetType ResultType ()
 Returns the type of output to generate. More...
 
void SetAngleTolerance (double angleTolerance)
 Sets the angle tolerance. More...
 
void SetCalculateMaxDeviation (bool calculateMaxDeviation)
 Sets the indication if the feature should calculate the maximum deviation of the result. More...
 
void SetConvexityDirection (NXOpen::Direction *convexityDirection)
 Sets the convexity direction. More...
 
void SetConvexityEnabled (bool isConvexityEnabled)
 Sets the toggle that determines whether to constrain convexity
Created in NX7.5.0. More...
 
void SetCreateFacets (bool createFacets)
 Sets the value determines if a faceted output body is also created. More...
 
void SetDefinedBy (NXOpen::Die::SpringbackCompensationBuilder::DefinedByType definedBy)
 Sets the type of data that will be used to define the feature. More...
 
void SetDeformationFactor (double deformationFactor)
 Sets the deformation factor determines how much of the calculated deformation is applied to the result body. More...
 
void SetDegree (NXOpen::Die::SpringbackCompensationBuilder::DegreeType degree)
 Sets the polynomial degree (one unit less than the order). More...
 
void SetDistanceTolerance (double distanceTolerance)
 Sets the distance tolerance. More...
 
void SetDivisions (int divisions)
 Sets the number of equi-distant points to divide the cube of the sheet body (N x N x N). More...
 
void SetDrawVector (NXOpen::Direction *drawVector)
 Sets the vector indicating the draw direction. More...
 
void SetGlobalDeformation (bool isGlobalDeformation)
 Sets the indication if the feature is a generic Global Deformation. More...
 
void SetProductPoints (const std::vector< NXOpen::Point3d > &productPoints)
 Set the sample points on the product surface. More...
 
void SetProductPointsFile (const NXString &filename)
 Sets the product points file name. More...
 
void SetProductPointsFile (const char *filename)
 Sets the product points file name. More...
 
void SetResultType (NXOpen::Die::SpringbackCompensationBuilder::ResultSheetType resultType)
 Sets the type of output to generate. More...
 
void SetShapeValue (double shapeValue)
 Sets the parameter that determines the shape of the transition area. More...
 
void SetSmoothingFactor (double smoothingFactor)
 Sets the smoothing factor regulates a trade-off between interpolation error and smoothing when creating the result body. More...
 
void SetSprungPoints (const std::vector< NXOpen::Point3d > &sprungPoints)
 Set the sample points on the sprung surface. More...
 
void SetSprungPointsFile (const NXString &filename)
 Sets the sprung points file name. More...
 
void SetSprungPointsFile (const char *filename)
 Sets the sprung points file name. More...
 
void SetStepSize (double stepSize)
 Sets the step size. More...
 
double ShapeValue ()
 Returns the parameter that determines the shape of the transition area. More...
 
double SmoothingFactor ()
 Returns the smoothing factor regulates a trade-off between interpolation error and smoothing when creating the result body. More...
 
NXOpen::Facet::SelectFacetedBodySprungFacets ()
 Returns the sprung facets. More...
 
NXString SprungPointsFile ()
 Returns the sprung points file name. More...
 
double StepSize ()
 Returns the step size. More...
 
- Public Member Functions inherited from NXOpen::Features::FeatureBuilder
NXOpen::Features::FeatureCommitFeature ()
 Commits the feature parameters and creates the feature. More...
 
NXOpen::Features::FeatureGetFeature ()
 Returns the feature currently being edited by this builder. More...
 
void HideInternalParentFeatureAfterEdit (NXOpen::Features::Feature *parentFeature)
 Re-suppress an internal parent feature (a slave feature) after it has been edited. More...
 
bool ParentFeatureInternal ()
 Returns whether or not the latest timestamped parent feature of this feature should be made internal
Created in NX5.0.0. More...
 
bool PatchSolutionFlag ()
 Returns the patch solution flag
Created in NX8.0.1. More...
 
NXString PatchSurfaceFilename ()
 Returns the patch surface filename
Created in NX8.0.1. More...
 
void SetParentFeatureInternal (NXOpen::Features::Feature *parentFeature)
 Set the parent features which would be internal or slaves to the feature being created or commited
Created in NX6.0.0. More...
 
void SetParentFeatureInternal (bool isInternal)
 Sets whether or not the latest timestamped parent feature of this feature should be made internal
Created in NX5.0.0. More...
 
void SetPatchSolutionFlag (bool optionValue)
 Sets the patch solution flag
Created in NX8.0.1. More...
 
void SetPatchSurfaceFilename (const NXString &surfaceFilename)
 Sets the patch surface filename
Created in NX8.0.1. More...
 
void SetPatchSurfaceFilename (const char *surfaceFilename)
 Sets the patch surface filename
Created in NX8.0.1. More...
 
void SetSurroundingPatchSurfaceFilename (const NXString &surroundingSurfaceFilename)
 Sets the surrounding patch surface filename
Created in NX8.0.1. More...
 
void SetSurroundingPatchSurfaceFilename (const char *surroundingSurfaceFilename)
 Sets the surrounding patch surface filename
Created in NX8.0.1. More...
 
void ShowInternalParentFeatureForEdit (NXOpen::Features::Feature *parentFeature)
 Unsuppress an internal parent feature (a slave feature) so it can be edited. More...
 
NXString SurroundingPatchSurfaceFilename ()
 Returns the surrounding patch surface filename
Created in NX8.0.1. More...
 
void UnsetParentFeatureInternal (NXOpen::Features::Feature *parentFeature)
 Set the internal parent feature of the feature being edited to external
Created in NX6.0.0. More...
 
- Public Member Functions inherited from NXOpen::Builder
NXOpen::NXObjectCommit ()
 Commits any edits that have been applied to the builder. More...
 
void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
std::vector< NXOpen::NXObject * > GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
NXOpen::NXObjectGetObject ()
 Returns the object currently being edited by this builder. More...
 
void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
virtual bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen::TaggedObject
tag_t Tag () const
 Returns the tag of this object. More...
 

Detailed Description

Used to create or edit a NXOpen::Die::SpringbackCompensation feature.


To create a new instance of this class, use NXOpen::Die::DieCollection::CreateSpringbackCompensationBuilder
Default values.

Property Value

ConvexityEnabled

false

CreateFacets

false

DefinedBy

OneStepFeature

DeformationFactor

1

Degree

Two

Divisions

3

ResultType

Compensated

ShapeValue

0.5

SmoothingFactor

1e-009

StepSize

1.0


Created in NX7.5.0.

Member Enumeration Documentation

The type of input data that defines the compensation.

Enumerator
DefinedByTypeOneStepFeature 

A One-Step feature.

DefinedByTypeFacetedBodies 

Facted bodies.

DefinedByTypePoints 

Points .

The polynomial degree type.

Acceptable degrees are 2, 3, 5, and 7.

Enumerator
DegreeTypeTwo 

Degree is 2.

DegreeTypeThree 

Degree is 3.

DegreeTypeFive 

Degree is 5.

DegreeTypeSeven 

Degree is 7.

The type of sheet body you would like created as output.

Enumerator
ResultSheetTypeCompensated 

Compensated sheet body.

ResultSheetTypeSprung 

Sprung sheet body.

Member Function Documentation

double NXOpen::Die::SpringbackCompensationBuilder::AngleTolerance ( )

Returns the angle tolerance.


Created in NX7.5.0.

License requirements : None

bool NXOpen::Die::SpringbackCompensationBuilder::CalculateMaxDeviation ( )

Returns the indication if the feature should calculate the maximum deviation of the result.

True indicates the deviation should be calculated, false indicates the deviation will not be calculated.
Created in NX7.5.0.

License requirements : None

NXOpen::Direction* NXOpen::Die::SpringbackCompensationBuilder::ConvexityDirection ( )

Returns the convexity direction.


Created in NX7.5.0.

License requirements : None

bool NXOpen::Die::SpringbackCompensationBuilder::ConvexityEnabled ( )

Returns the toggle that determines whether to constrain convexity
Created in NX7.5.0.



License requirements : None

bool NXOpen::Die::SpringbackCompensationBuilder::CreateFacets ( )

Returns the value determines if a faceted output body is also created.

True indicates to output a faceted body, false indicates that a faceted body is not output. Only when type is Die::SpringbackCompensationBuilder::DefinedByTypeFacetedBodies


Created in NX7.5.0.

License requirements : None

NXOpen::Die::SpringbackCompensationBuilder::DefinedByType NXOpen::Die::SpringbackCompensationBuilder::DefinedBy ( )
double NXOpen::Die::SpringbackCompensationBuilder::DeformationFactor ( )

Returns the deformation factor determines how much of the calculated deformation is applied to the result body.


Created in NX7.5.0.

License requirements : None

NXOpen::Die::SpringbackCompensationBuilder::DegreeType NXOpen::Die::SpringbackCompensationBuilder::Degree ( )

Returns the polynomial degree (one unit less than the order).


Created in NX7.5.0.

License requirements : None

double NXOpen::Die::SpringbackCompensationBuilder::DistanceTolerance ( )

Returns the distance tolerance.


Created in NX7.5.0.

License requirements : None

int NXOpen::Die::SpringbackCompensationBuilder::Divisions ( )

Returns the number of equi-distant points to divide the cube of the sheet body (N x N x N).


Created in NX7.5.0.

License requirements : None

NXOpen::Direction* NXOpen::Die::SpringbackCompensationBuilder::DrawVector ( )

Returns the vector indicating the draw direction.


Created in NX7.5.0.

License requirements : None

void NXOpen::Die::SpringbackCompensationBuilder::GetProductPoints ( std::vector< NXOpen::Point3d > &  productPoints)

Get the sample points on the product surface.

Only when type is Die::SpringbackCompensationBuilder::DefinedByTypePoints . Optional.
Created in NX7.5.0.

License requirements : None

Parameters
productPointsPoints representing the shape of the product.
void NXOpen::Die::SpringbackCompensationBuilder::GetSprungPoints ( std::vector< NXOpen::Point3d > &  sprungPoints)

Get the sample points on the sprung surface.

Only when type is Die::SpringbackCompensationBuilder::DefinedByTypePoints .
Created in NX7.5.0.

License requirements : None

Parameters
sprungPointsPoints representing the shape of the sprung sheet.
NXOpen::Section* NXOpen::Die::SpringbackCompensationBuilder::InnerCurve ( )

Returns the inner boundary curve of the transition area.


Created in NX7.5.0.

License requirements : None

bool NXOpen::Die::SpringbackCompensationBuilder::IsGlobalDeformation ( )

Returns the indication if the feature is a generic Global Deformation.

True indicates the feature is a Global Deformation, false indicates the feature is not a Global Deformation.
Created in NX7.5.0.

License requirements : None

NXOpen::Features::SelectFeature* NXOpen::Die::SpringbackCompensationBuilder::OneStep ( )

Returns the one-step feature.

Only when type is Die::SpringbackCompensationBuilder::DefinedByTypeOneStepFeature .
Created in NX7.5.0.

License requirements : None

NXOpen::Section* NXOpen::Die::SpringbackCompensationBuilder::OuterCurve ( )

Returns the outer boundary curve of transition area.


Created in NX7.5.0.

License requirements : None

NXOpen::Facet::SelectFacetedBody* NXOpen::Die::SpringbackCompensationBuilder::ProductFacets ( )

Returns the product facets.

Only when type is Die::SpringbackCompensationBuilder::DefinedByTypeFacetedBodies . Optional.
Created in NX7.5.0.

License requirements : None

NXString NXOpen::Die::SpringbackCompensationBuilder::ProductPointsFile ( )

Returns the product points file name.

This is saved for reference only. The product points are actually defined by calling Die::SpringbackCompensationBuilder::SetProductPoints . Only when type is Die::SpringbackCompensationBuilder::DefinedByTypePoints . Optional.


Created in NX7.5.0.

License requirements : None

NXOpen::SelectBody* NXOpen::Die::SpringbackCompensationBuilder::ProductSheet ( )

Returns the sheet body representing the product shape.

Only when type is Die::SpringbackCompensationBuilder::DefinedByTypeFacetedBodies or Die::SpringbackCompensationBuilder::DefinedByTypePoints .
Created in NX7.5.0.

License requirements : None

NXOpen::Die::SpringbackCompensationBuilder::ResultSheetType NXOpen::Die::SpringbackCompensationBuilder::ResultType ( )

Returns the type of output to generate.


Created in NX7.5.0.

License requirements : None

void NXOpen::Die::SpringbackCompensationBuilder::SetAngleTolerance ( double  angleTolerance)

Sets the angle tolerance.


Created in NX7.5.0.

License requirements : die_engineering ("DIE ENGINEERING") OR nx_freeform_2 ("advanced freeform modeling")

Parameters
angleToleranceangletolerance
void NXOpen::Die::SpringbackCompensationBuilder::SetCalculateMaxDeviation ( bool  calculateMaxDeviation)

Sets the indication if the feature should calculate the maximum deviation of the result.

True indicates the deviation should be calculated, false indicates the deviation will not be calculated.
Created in NX7.5.0.

License requirements : die_engineering ("DIE ENGINEERING") OR nx_freeform_2 ("advanced freeform modeling")

Parameters
calculateMaxDeviationcalculatemaxdeviation
void NXOpen::Die::SpringbackCompensationBuilder::SetConvexityDirection ( NXOpen::Direction convexityDirection)

Sets the convexity direction.


Created in NX7.5.0.

License requirements : die_engineering ("DIE ENGINEERING") OR nx_freeform_2 ("advanced freeform modeling")

Parameters
convexityDirectionconvexitydirection
void NXOpen::Die::SpringbackCompensationBuilder::SetConvexityEnabled ( bool  isConvexityEnabled)

Sets the toggle that determines whether to constrain convexity
Created in NX7.5.0.



License requirements : die_engineering ("DIE ENGINEERING") OR nx_freeform_2 ("advanced freeform modeling")

Parameters
isConvexityEnabledisconvexityenabled
void NXOpen::Die::SpringbackCompensationBuilder::SetCreateFacets ( bool  createFacets)

Sets the value determines if a faceted output body is also created.

True indicates to output a faceted body, false indicates that a faceted body is not output. Only when type is Die::SpringbackCompensationBuilder::DefinedByTypeFacetedBodies


Created in NX7.5.0.

License requirements : die_engineering ("DIE ENGINEERING") OR nx_freeform_2 ("advanced freeform modeling")

Parameters
createFacetscreatefacets
void NXOpen::Die::SpringbackCompensationBuilder::SetDefinedBy ( NXOpen::Die::SpringbackCompensationBuilder::DefinedByType  definedBy)
void NXOpen::Die::SpringbackCompensationBuilder::SetDeformationFactor ( double  deformationFactor)

Sets the deformation factor determines how much of the calculated deformation is applied to the result body.


Created in NX7.5.0.

License requirements : die_engineering ("DIE ENGINEERING") OR nx_freeform_2 ("advanced freeform modeling")

Parameters
deformationFactordeformationfactor
void NXOpen::Die::SpringbackCompensationBuilder::SetDegree ( NXOpen::Die::SpringbackCompensationBuilder::DegreeType  degree)

Sets the polynomial degree (one unit less than the order).


Created in NX7.5.0.

License requirements : die_engineering ("DIE ENGINEERING") OR nx_freeform_2 ("advanced freeform modeling")

Parameters
degreedegree
void NXOpen::Die::SpringbackCompensationBuilder::SetDistanceTolerance ( double  distanceTolerance)

Sets the distance tolerance.


Created in NX7.5.0.

License requirements : die_engineering ("DIE ENGINEERING") OR nx_freeform_2 ("advanced freeform modeling")

Parameters
distanceTolerancedistancetolerance
void NXOpen::Die::SpringbackCompensationBuilder::SetDivisions ( int  divisions)

Sets the number of equi-distant points to divide the cube of the sheet body (N x N x N).


Created in NX7.5.0.

License requirements : die_engineering ("DIE ENGINEERING") OR nx_freeform_2 ("advanced freeform modeling")

Parameters
divisionsdivisions
void NXOpen::Die::SpringbackCompensationBuilder::SetDrawVector ( NXOpen::Direction drawVector)

Sets the vector indicating the draw direction.


Created in NX7.5.0.

License requirements : die_engineering ("DIE ENGINEERING") OR nx_freeform_2 ("advanced freeform modeling")

Parameters
drawVectordrawvector
void NXOpen::Die::SpringbackCompensationBuilder::SetGlobalDeformation ( bool  isGlobalDeformation)

Sets the indication if the feature is a generic Global Deformation.

True indicates the feature is a Global Deformation, false indicates the feature is not a Global Deformation.
Created in NX7.5.0.

License requirements : die_engineering ("DIE ENGINEERING") OR nx_freeform_2 ("advanced freeform modeling")

Parameters
isGlobalDeformationisglobaldeformation
void NXOpen::Die::SpringbackCompensationBuilder::SetProductPoints ( const std::vector< NXOpen::Point3d > &  productPoints)

Set the sample points on the product surface.

Must have the same number as sprung points. Only when type is Die::SpringbackCompensationBuilder::DefinedByTypePoints . Optional.
Created in NX7.5.0.

License requirements : die_engineering ("DIE ENGINEERING") OR nx_freeform_2 ("advanced freeform modeling")

Parameters
productPointsPoints representing the shape of the product.
void NXOpen::Die::SpringbackCompensationBuilder::SetProductPointsFile ( const NXString filename)

Sets the product points file name.

This is saved for reference only. The product points are actually defined by calling Die::SpringbackCompensationBuilder::SetProductPoints . Only when type is Die::SpringbackCompensationBuilder::DefinedByTypePoints . Optional.


Created in NX7.5.0.

License requirements : die_engineering ("DIE ENGINEERING") OR nx_freeform_2 ("advanced freeform modeling")

Parameters
filenamefilename
void NXOpen::Die::SpringbackCompensationBuilder::SetProductPointsFile ( const char *  filename)

Sets the product points file name.

This is saved for reference only. The product points are actually defined by calling Die::SpringbackCompensationBuilder::SetProductPoints . Only when type is Die::SpringbackCompensationBuilder::DefinedByTypePoints . Optional.


Created in NX7.5.0.

License requirements : die_engineering ("DIE ENGINEERING") OR nx_freeform_2 ("advanced freeform modeling")

Parameters
filenamefilename
void NXOpen::Die::SpringbackCompensationBuilder::SetResultType ( NXOpen::Die::SpringbackCompensationBuilder::ResultSheetType  resultType)

Sets the type of output to generate.


Created in NX7.5.0.

License requirements : die_engineering ("DIE ENGINEERING") OR nx_freeform_2 ("advanced freeform modeling")

Parameters
resultTyperesulttype
void NXOpen::Die::SpringbackCompensationBuilder::SetShapeValue ( double  shapeValue)

Sets the parameter that determines the shape of the transition area.


Created in NX7.5.0.

License requirements : die_engineering ("DIE ENGINEERING") OR nx_freeform_2 ("advanced freeform modeling")

Parameters
shapeValueshapevalue
void NXOpen::Die::SpringbackCompensationBuilder::SetSmoothingFactor ( double  smoothingFactor)

Sets the smoothing factor regulates a trade-off between interpolation error and smoothing when creating the result body.


Created in NX7.5.0.

License requirements : die_engineering ("DIE ENGINEERING") OR nx_freeform_2 ("advanced freeform modeling")

Parameters
smoothingFactorsmoothingfactor
void NXOpen::Die::SpringbackCompensationBuilder::SetSprungPoints ( const std::vector< NXOpen::Point3d > &  sprungPoints)

Set the sample points on the sprung surface.

Must have the same number as product points. Only when type is Die::SpringbackCompensationBuilder::DefinedByTypePoints .
Created in NX7.5.0.

License requirements : die_engineering ("DIE ENGINEERING") OR nx_freeform_2 ("advanced freeform modeling")

Parameters
sprungPointsPoints representing the shape of the sprung sheet.
void NXOpen::Die::SpringbackCompensationBuilder::SetSprungPointsFile ( const NXString filename)

Sets the sprung points file name.

This is saved for reference only. The product points are actually defined by calling Die::SpringbackCompensationBuilder::SetSprungPoints . Only when type is Die::SpringbackCompensationBuilder::DefinedByTypePoints . Optional.


Created in NX7.5.0.

License requirements : die_engineering ("DIE ENGINEERING") OR nx_freeform_2 ("advanced freeform modeling")

Parameters
filenamefilename
void NXOpen::Die::SpringbackCompensationBuilder::SetSprungPointsFile ( const char *  filename)

Sets the sprung points file name.

This is saved for reference only. The product points are actually defined by calling Die::SpringbackCompensationBuilder::SetSprungPoints . Only when type is Die::SpringbackCompensationBuilder::DefinedByTypePoints . Optional.


Created in NX7.5.0.

License requirements : die_engineering ("DIE ENGINEERING") OR nx_freeform_2 ("advanced freeform modeling")

Parameters
filenamefilename
void NXOpen::Die::SpringbackCompensationBuilder::SetStepSize ( double  stepSize)

Sets the step size.


Created in NX7.5.0.

License requirements : die_engineering ("DIE ENGINEERING") OR nx_freeform_2 ("advanced freeform modeling")

Parameters
stepSizestepsize
double NXOpen::Die::SpringbackCompensationBuilder::ShapeValue ( )

Returns the parameter that determines the shape of the transition area.


Created in NX7.5.0.

License requirements : None

double NXOpen::Die::SpringbackCompensationBuilder::SmoothingFactor ( )

Returns the smoothing factor regulates a trade-off between interpolation error and smoothing when creating the result body.


Created in NX7.5.0.

License requirements : None

NXOpen::Facet::SelectFacetedBody* NXOpen::Die::SpringbackCompensationBuilder::SprungFacets ( )

Returns the sprung facets.

Only when type is Die::SpringbackCompensationBuilder::DefinedByTypeFacetedBodies .
Created in NX7.5.0.

License requirements : None

NXString NXOpen::Die::SpringbackCompensationBuilder::SprungPointsFile ( )

Returns the sprung points file name.

This is saved for reference only. The product points are actually defined by calling Die::SpringbackCompensationBuilder::SetSprungPoints . Only when type is Die::SpringbackCompensationBuilder::DefinedByTypePoints . Optional.


Created in NX7.5.0.

License requirements : None

double NXOpen::Die::SpringbackCompensationBuilder::StepSize ( )

Returns the step size.


Created in NX7.5.0.

License requirements : None


The documentation for this class was generated from the following file:
Copyright 2017 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.